Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class GroovyCategorySupport.CategoryMethodList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

    class GroovyCategorySupport.CategoryMethodList
    extends ArrayList

Field Summary
`int` | `level`
`CategoryMethodList` | `previous`
`AtomicInteger` | `usage`

Constructor Summary
`GroovyCategorySupport.CategoryMethodList(String name, int level, CategoryMethodList previous)`

Method Summary
`boolean` | `add(CategoryMethod o)`

Methods inherited from class ArrayList
add, add, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, addAll, addAll, iterator, size, toArray, toArray, remove, remove, set, ensureCapacity, listIterator, listIterator, removeAll, retainAll, subList, trimToSize, hashCode, equals, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractList
add, add, get, hashCode, indexOf, clear, equals, lastIndexOf, addAll, iterator, remove, set, listIterator, listIterator, subList, toString, contains, isEmpty, addAll, size, toArray, toArray, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, clear, toString, contains, isEmpty, addAll, iterator, size, toArray, toArray, remove, containsAll, removeAll, retainAll, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### level

    final int level

### previous

    final CategoryMethodList previous

### usage

    final AtomicInteger usage

Constructor Detail

### GroovyCategorySupport.CategoryMethodList

    public GroovyCategorySupport.CategoryMethodList(String name, int level, CategoryMethodList previous)

Method Detail

### add

    public boolean add(CategoryMethod o)

Copyright © 2003-2009 The Codehaus. All rights reserved.